#LyX 2.3 created this file. For more info see http://www.lyx.org/
\lyxformat 544
\begin_document
\begin_header
\save_transient_properties true
\origin unavailable
\textclass revtex4-2
\begin_preamble
\usepackage{url}
\usepackage{hyperref}
\usepackage[mathlines]{lineno}
\linenumbers\relax
\end_preamble
\options amsmath,amssymb,reprint
\use_default_options false
\begin_modules
subequations
\end_modules
\maintain_unincluded_children false
\language english
\language_package default
\inputencoding auto
\fontencoding global
\font_roman "default" "default"
\font_sans "default" "default"
\font_typewriter "default" "default"
\font_math "auto" "auto"
\font_default_family default
\use_non_tex_fonts false
\font_sc false
\font_osf false
\font_sf_scale 100 100
\font_tt_scale 100 100
\use_microtype false
\use_dash_ligatures false
\graphics default
\default_output_format default
\output_sync 0
\bibtex_command bibtex
\index_command default
\paperfontsize default
\spacing single
\use_hyperref false
\papersize letterpaper
\use_geometry false
\use_package amsmath 2
\use_package amssymb 2
\use_package cancel 1
\use_package esint 1
\use_package mathdots 1
\use_package mathtools 1
\use_package mhchem 1
\use_package stackrel 1
\use_package stmaryrd 1
\use_package undertilde 1
\cite_engine natbib
\cite_engine_type numerical
\biblio_style plainnat
\use_bibtopic false
\use_indices false
\paperorientation portrait
\suppress_date false
\justification false
\use_refstyle 0
\use_minted 0
\index Index
\shortcut idx
\color #008000
\end_index
\secnumdepth 3
\tocdepth 3
\paragraph_separation indent
\paragraph_indentation default
\is_math_indent 0
\math_numbering_side default
\quotes_style english
\dynamic_quotes 0
\papercolumns 1
\papersides 1
\paperpagestyle default
\tracking_changes false
\output_changes false
\html_math_output 0
\html_css_as_file 0
\html_be_strict false
\end_header

\begin_body

\begin_layout Preprint
APS/123-QED
\end_layout

\begin_layout Title
IWAVE - An Adaptive Filter Approach to Phase Lock and the
\begin_inset Newline newline
\end_inset

Dynamic Characterisation of Pseudo-Harmonic Waves
\end_layout

\begin_layout Author
\begin_inset ERT
status open

\begin_layout Plain Layout

E.
\backslash
,J.
\backslash
,Daw
\end_layout

\end_inset


\end_layout

\begin_layout Author Email

To whom all correspondence should be addressed: e.daw@sheffield.ac.uk
\end_layout

\begin_layout Author
\begin_inset ERT
status open

\begin_layout Plain Layout

I.
\backslash
,J.
\backslash
,Hollows
\end_layout

\end_inset


\end_layout

\begin_layout Author
\begin_inset ERT
status open

\begin_layout Plain Layout

E.
\backslash
,L.
\backslash
,Jones
\end_layout

\end_inset


\end_layout

\begin_layout Author
\begin_inset ERT
status open

\begin_layout Plain Layout

R.
\backslash
,Kennedy
\end_layout

\end_inset


\end_layout

\begin_layout Author
\begin_inset ERT
status open

\begin_layout Plain Layout

T.
\backslash
,Mistry
\end_layout

\end_inset


\end_layout

\begin_layout Affiliation
Department of Physics and Astronomy, The University of Sheffield,
\begin_inset Newline newline
\end_inset

 Hicks Building, Hounsfield Road, Sheffield S3 7RH, UK 
\end_layout

\begin_layout Author
\begin_inset ERT
status open

\begin_layout Plain Layout

T.
\backslash
,B.
\backslash
,Edo
\end_layout

\end_inset


\end_layout

\begin_layout Affiliation
LIGO Laboratory, California Institute of Technology, Pasadena, California
 91125, USA, and Department of Physics and Astronomy, The University of
 Sheffield,
\begin_inset Newline newline
\end_inset

 Hicks Building, Hounsfield Road, Sheffield S3 7RH, UK
\end_layout

\begin_layout Author
\begin_inset ERT
status open

\begin_layout Plain Layout

M.
\backslash
,Fays
\end_layout

\end_inset


\end_layout

\begin_layout Affiliation
\begin_inset ERT
status open

\begin_layout Plain Layout

Facult
\backslash
'e des Sciences, B
\backslash
^atiment B5A, Interactions Fondamentales en Physique et en Astrophysique
 (IFPA),
\backslash

\backslash

\end_layout

\end_inset

Quartier Agora, 
\begin_inset ERT
status open

\begin_layout Plain Layout

All
\backslash
'ee du Six Ao
\backslash
^ut 19, 4000 Li
\backslash
`ege 1, Belgium
\end_layout

\end_inset


\end_layout

\begin_layout Author
\begin_inset ERT
status open

\begin_layout Plain Layout

L.
\backslash
,Sun
\end_layout

\end_inset


\end_layout

\begin_layout Affiliation
OzGrav-ANU, Centre for Gravitational Astrophysics, College of Science, The
 Australian National University, ACT 2601, Australia, and LIGO Laboratory,
 California Institute of Technology, Pasadena, California 91125, USA
\begin_inset ERT
status open

\begin_layout Plain Layout


\backslash

\backslash

\end_layout

\end_inset


\end_layout

\begin_layout Date
\begin_inset ERT
status collapsed

\begin_layout Plain Layout


\backslash
today
\end_layout

\end_inset


\begin_inset Note Note
status collapsed

\begin_layout Plain Layout
prints the current date; should only be replaced for special cases
\end_layout

\end_inset


\end_layout

\begin_layout Abstract
We present a novel adaptive filtering approach to the dynamic characterisation
 of waves of varying frequency and amplitude embedded in arbitrary noise
 backgrounds.
 This method, known as IWAVE, possesses critical advantages over conventional
 techniques making it a useful new tool in the dynamic characterisation
 of a wide range of data containing embedded oscillating signals.
 After a review of existing techniques, we present the IWAVE algorithm,
 derive its key characteristics, and provide tests of its performance using
 simulated and real world data.
\end_layout

\begin_layout PACS
04.30.−w, 43.60.−c, 02.30.Px, 02.30.Nw
\end_layout

\begin_layout Keywords
PLL, Phase locked loops, Harmonic analysis, Fourier analysis.
\end_layout

\begin_layout Section
Introduction
\end_layout

\begin_layout Standard
The co-inventor of the MASER 
\begin_inset CommandInset citation
LatexCommand citep
key "Schawlow:1958zz"
literal "false"

\end_inset

, Arthur Schawlow, is said to have advised his students: 
\begin_inset Quotes eld
\end_inset

Never measure anything but frequency!
\begin_inset Quotes erd
\end_inset

 There exist a great variety of techniques for measuring the frequencies
 of harmonic waves, broadly addressing two different classes of problems.
\end_layout

\begin_layout Standard
In the first class, the average wave characteristics are estimated across
 a measurement interval, under the implicit assumption that the wave properties
 are essentially static, or when changes in these properties over the measuremen
t interval are not of interest.
 This problem is addressed by a wide variety of methods, including Welch's
 method using discrete Fourier transforms (DFTs) 
\begin_inset CommandInset citation
LatexCommand citep
key "blackman-tukey,welch_1161901"
literal "false"

\end_inset

, Pisarenko's method 
\begin_inset CommandInset citation
LatexCommand citep
key "Pisarenko:1973"
literal "false"

\end_inset

, MUSIC 
\begin_inset CommandInset citation
LatexCommand citep
key "1143830"
literal "false"

\end_inset

, and ESPRIT 
\begin_inset CommandInset citation
LatexCommand citep
key "1164935"
literal "false"

\end_inset

.
\end_layout

\begin_layout Standard
In the second class, the oscillator is constantly evolving, and we seek
 a time-evolving best estimate of oscillator parameters.
 This problem is most often solved using phase locked loops (PLLs) 
\begin_inset CommandInset citation
LatexCommand citep
key "gardener"
literal "false"

\end_inset

, or their hardware realisation, lock-in amplifiers 
\begin_inset CommandInset citation
LatexCommand citep
key "doi:10.1063/1.1140523"
literal "false"

\end_inset

.
 Where the evolving oscillation is at a very low amplitude, as is expected
 for signals from continuous gravitational wave (CW) sources, the frequency
 evolution cannot be inferred from the raw data as is necessary for successful
 tracking with a PLL.
 Coherent matched filtering techniques, such as the 
\begin_inset Formula $\mathcal{\mathord{F}}$
\end_inset

-statistic used in CW searches 
\begin_inset CommandInset citation
LatexCommand citep
key "jaranowski1998data,cutler2005generalized"
literal "false"

\end_inset

, are able to achieve higher sensitivity to these weak signals at the price
 of substantially greater computational burden.
 Stack-slide-based semi-coherent algorithms expedite the computation to
 some extent, at the cost of sensitivity, by summing the signal power in
 multiple coherent segments after sliding the segments in the frequency
 domain to account for the signal phase evolution 
\begin_inset CommandInset citation
LatexCommand citep
key "brady2000searching,Dergachev05,Mendell05,dhurandhar2008cross"
literal "false"

\end_inset

.
 More efficient semi-coherent methods, e.g., signal tracking algorithms based
 on hidden Markov models 
\begin_inset CommandInset citation
LatexCommand citep
key "ViterbiA1967Ebfc,1090700,1450960,quinn2001estimation"
literal "false"

\end_inset

, have been developed to tackle the computational challenge as well as to
 allow for some uncertainties in the signal evolution model 
\begin_inset CommandInset citation
LatexCommand citep
key "SuvorovaS2016HMmt,sun2018hidden,bayley2019generalized"
literal "false"

\end_inset

.
\end_layout

\begin_layout Standard
The IWAVE technique described in this paper is a new type of PLL addressing
 this second class of problem - the dynamic characterisation of evolving
 pseudo-sinusoidal signals.
 Unlike a conventional PLL, the adaptive element is a filter rather than
 an oscillator or counter.
 IWAVE has certain advantages over existing PLLs, notably benign output
 when the PLL is unlocked, tracking of amplitude as well as frequency using
 a single feedback loop, a small set of free parameters corresponding directly
 to physical oscillator properties, and the ability to characterise, simultaneou
sly, multiple oscillations having almost-degenerate frequencies.
 This last advantage has led to detailed analysis of almost-frequency-degenerate
 violin modes of fused silica suspension wires in advanced LIGO 
\begin_inset CommandInset citation
LatexCommand citep
key "Cumming_2020"
literal "false"

\end_inset

.
 IWAVE represents a simple, well-characterised and useful technique for
 analysing quite complex spaces of evolving oscillators at relatively low
 computational burden.
\end_layout

\begin_layout Standard
Several other techniques beyond the conventional PLL have been developed
 for a range of applications.
 One example is the second order generalised integrator (SOGI-PLL) 
\begin_inset CommandInset citation
LatexCommand citep
key "inproceedings"
literal "false"

\end_inset

.
 SOGI was one of the first methods to successfully addresses the problem
 of generating a copy of an input sinusoid that is out of phase (the so-called
 quadrature or Q phase) with the input signal.
 Other more recent papers, for example 
\begin_inset CommandInset citation
LatexCommand citep
key "rodriguez2010multiresonant,matas2013adaptive,xiao2016frequency,xin2016improved"
literal "false"

\end_inset

, have developed the SOGI algorithm for a range of practical applications.
 A second example is the enhanced PLL (EPLL) 
\begin_inset CommandInset citation
LatexCommand citep
key "karimi2012unifying,karimi-ghartemani-epll"
literal "false"

\end_inset

, which solves the problem of tracking the amplitude of a harmonic wave
 in addition to its frequency.
 Further PLL developments are well summarised in 
\begin_inset CommandInset citation
LatexCommand citep
key "golestan2017single"
literal "false"

\end_inset

.
 Comparisons of IWAVE with the SOGI and EPLL algorithms are given in Appendix
 
\begin_inset CommandInset ref
LatexCommand ref
reference "sec:other_methods"
plural "false"
caps "false"
noprefix "false"

\end_inset

.
\end_layout

\begin_layout Standard
This paper consists of: a description of the IWAVE method in Section 
\begin_inset CommandInset ref
LatexCommand ref
reference "sec:The-IWAVE-Method"
plural "false"
caps "false"
noprefix "false"

\end_inset

; a discussion of the limits of applicability of IWAVE in Section 
\begin_inset CommandInset ref
LatexCommand ref
reference "sec:limits"
plural "false"
caps "false"
noprefix "false"

\end_inset

; and an overview of certain other PLL methods in Section 
\begin_inset CommandInset ref
LatexCommand ref
reference "sec:other_methods"
plural "false"
caps "false"
noprefix "false"

\end_inset

.
 Space constraints have led us to leave out many mathematical steps; a full
 treatment of the mathematics can be found at 
\begin_inset CommandInset citation
LatexCommand citep
key "iwavemathematics"
literal "false"

\end_inset

.
 A software library implementing IWAVE in C with wrappers into MATLAB and
 PYTHON/NUMPY is available on a public git repository here 
\begin_inset CommandInset citation
LatexCommand citep
key "iwavegit"
literal "false"

\end_inset

.
\end_layout

\begin_layout Section
\begin_inset CommandInset label
LatexCommand label
name "sec:The-IWAVE-Method"

\end_inset

The IWAVE Method
\end_layout

\begin_layout Subsection
The Core Algorithm
\begin_inset CommandInset label
LatexCommand label
name "subsec:The-core-algorithm"

\end_inset


\end_layout

\begin_layout Standard
Before writing down the IWAVE core algorithm, we consider as a starting
 point the 
\begin_inset Formula $\mathcal{{Z}}$
\end_inset

-transform 
\begin_inset CommandInset citation
LatexCommand citep
key "oppenheim-schafer"
literal "false"

\end_inset

 of a regularly sampled time series, 
\begin_inset Formula $x_{p}$
\end_inset

,
\end_layout

\begin_layout Standard
\begin_inset Formula 
\begin{equation}
\mathcal{{Z}}_{n}(\Omega)=\sum_{p=-\infty}^{n}x_{p}e^{(p-n)\Omega},\label{eq:1_ztransform}
\end{equation}

\end_inset


\end_layout

\begin_layout Standard
where 
\begin_inset Formula $p$
\end_inset

 increases with time, and 
\begin_inset Formula $\Omega=w-i\Delta$
\end_inset

 has real part 
\begin_inset Formula $w$
\end_inset

 the reciprocal of one 
\begin_inset Formula $e$
\end_inset

-folding for the weighting of previous samples and imaginary part 
\begin_inset Formula $\Delta$
\end_inset

 equal to the frequency of the 
\begin_inset ERT
status open

\begin_layout Plain Layout

$
\backslash
mathcal{Z}$
\end_layout

\end_inset

-transform component in radians per sample.
 
\end_layout

\begin_layout Standard
\begin_inset Formula $\mathcal{Z}_{n}(\Omega)$
\end_inset

 obeys an iteration equation
\end_layout

\begin_layout Standard
\begin_inset Formula 
\begin{equation}
\mathcal{{Z}}_{n}(\Omega)=e^{-\Omega}\mathcal{{Z}}_{n-1}(\Omega)+x_{n}.\label{eq:2_ztransform_iteration_equation}
\end{equation}

\end_inset


\end_layout

\begin_layout Standard
Unit amplitude phasor input, 
\begin_inset Formula $x_{n}=e^{in\Delta}$
\end_inset

, to Equation 
\begin_inset CommandInset ref
LatexCommand ref
reference "eq:2_ztransform_iteration_equation"
plural "false"
caps "false"
noprefix "false"

\end_inset

 results in output 
\begin_inset Formula $\mathcal{{Z}}_{n}=e^{in\Delta}/(1-e^{-w})$
\end_inset

, which has zero phase shift with respect to the input and a larger amplitude
 dependent on 
\begin_inset Formula $w$
\end_inset

.
 Scaling the input by a factor of 
\begin_inset Formula $1-e^{-w}$
\end_inset

 leads to an iteration algorithm which passes phasors at frequency 
\begin_inset Formula $\Delta$
\end_inset

 with unit gain and zero phase shift
\end_layout

\begin_layout Standard
\begin_inset Formula 
\begin{equation}
y_{n}=e^{-w}e^{i\Delta}y_{n-1}+(1-e^{-w})x_{n.}\label{eq:e_iwave_core}
\end{equation}

\end_inset


\end_layout

\begin_layout Standard
This iteration algorithm is the core of IWAVE.
 As we shall see, it responds resonantly at frequency 
\begin_inset Formula $\Delta$
\end_inset

.
 In the language of signal processing, Equation 
\begin_inset CommandInset ref
LatexCommand ref
reference "eq:e_iwave_core"
plural "false"
caps "false"
noprefix "false"

\end_inset

 is an infinite impulse response (IIR) filter because it generates its 
\begin_inset Formula $n^{{\rm th}}$
\end_inset

 output using the current input 
\begin_inset Formula $x_{n}$
\end_inset

, the previous output 
\begin_inset Formula $y_{n-1}$
\end_inset

 and a two-input, two-output, multi-input, multi-output (MIMO) filter; 
\begin_inset Formula $y_{n}$
\end_inset

 and 
\begin_inset Formula $x_{n}$
\end_inset

 are, in general, complex variables.
 We will also need the real representation of the transfer function for
 IWAVE derived from Equation 
\begin_inset CommandInset ref
LatexCommand ref
reference "eq:e_iwave_core"
plural "false"
caps "false"
noprefix "false"

\end_inset

 by writing 
\begin_inset Formula $x_{n}=x_{n}^{R}+ix_{n}^{I}$
\end_inset

, 
\begin_inset Formula $y_{n}=y_{n}^{R}+iy_{n}^{I},$
\end_inset

 and 
\begin_inset Formula $y_{n-1}=z^{-1}y_{n}$
\end_inset

, where 
\begin_inset Formula $z^{-1}$
\end_inset

 is the sample delay operator.
 In these terms, Equation 
\begin_inset CommandInset ref
LatexCommand ref
reference "eq:e_iwave_core"

\end_inset

 can be re-written as
\begin_inset Formula 
\begin{equation}
\left(\begin{array}{c}
y_{n}^{R}\\
y_{n}^{I}
\end{array}\right)=\begin{bmatrix}H_{11}(z^{-1}) & H_{12}(z^{-1})\\
H_{21}(z^{-1}) & H_{22}(z^{-1})
\end{bmatrix}\left(\begin{array}{c}
x_{n}^{R}\\
x_{n}^{I}
\end{array}\right),
\end{equation}

\end_inset


\end_layout

\begin_layout Standard
where the elements of the transfer function matrix are
\begin_inset Formula 
\begin{equation}
{\bf H}(z^{-1})=\frac{\begin{bmatrix}1-e^{-w}z^{-1}\cos\Delta & -e^{-w}z^{-1}\sin\Delta\\
+e^{-w}z^{-1}\sin\Delta & 1-e^{-w}z^{-1}\cos\Delta
\end{bmatrix}}{\left(\frac{1-2e^{-w}z^{-1}\cos\Delta+e^{-2w}z^{-2}}{1-e^{-w}}\right)}.\label{eq:5_mimo_tf}
\end{equation}

\end_inset


\end_layout

\begin_layout Standard
In this form, the transfer function is seen to be second order in sample
 delay.
 We determine the response of the core algorithm to an input consisting
 of a phasor of arbitrary frequency 
\begin_inset Formula $\Theta$
\end_inset

 radians per sample by substituting 
\begin_inset Formula $x_{n}=e^{in\Theta}$
\end_inset

 into Equation 
\begin_inset CommandInset ref
LatexCommand ref
reference "eq:e_iwave_core"
plural "false"
caps "false"
noprefix "false"

\end_inset

.
 The response is also a phasor, 
\begin_inset Formula $y_{n}=Ae^{i\left(n\Theta+\Phi\right)}$
\end_inset

, where 
\begin_inset Formula $A\left(\Theta\right)$
\end_inset

 and 
\begin_inset Formula $\Phi\left(\Theta\right)$
\end_inset

 are the frequency dependent magnitude and phase lag of the output phasor
 with respect to the input given by
\begin_inset Formula 
\begin{equation}
\begin{aligned}A\left(\Theta\right) & =\frac{1-e^{-w}}{\sqrt{1-2e^{-w}\cos\left(\Delta-\Theta\right)+e^{-2w}}}\\
\Phi\left(\Theta\right) & =\arctan\left(\frac{e^{-w}\sin\left(\Delta-\Theta\right)}{1-e^{-w}\cos\left(\Delta-\Theta\right)}\right)
\end{aligned}
.\label{eq:rotfreqresp}
\end{equation}

\end_inset

Thus, phasors of arbitrary frequency are eigenfunctions of the core algorithm
 with eigenvalues 
\begin_inset Formula $Ae^{i\Phi}$
\end_inset

.
 The resonant character of the eigenvalues at frequency 
\begin_inset Formula $\Delta$
\end_inset

 can be seen in the denominator of Equation 
\begin_inset CommandInset ref
LatexCommand ref
reference "eq:5_mimo_tf"
plural "false"
caps "false"
noprefix "false"

\end_inset

, which is identical to the resonant denominator in the SOGI filter 
\begin_inset CommandInset citation
LatexCommand citep
key "inproceedings"
literal "false"

\end_inset

.
 Figure 
\begin_inset CommandInset ref
LatexCommand ref
reference "fig:phasorresp"
plural "false"
caps "false"
noprefix "false"

\end_inset

 shows A and 
\begin_inset Formula $\Phi$
\end_inset

 as a function of 
\begin_inset Formula $\Theta$
\end_inset

 for 
\begin_inset Formula ${\rm \Delta}=1.257$
\end_inset

 and four values of 
\begin_inset Formula $w$
\end_inset

: 
\begin_inset Formula $1$
\end_inset

, 
\begin_inset Formula $0.1$
\end_inset

, 
\begin_inset Formula $0.01$
\end_inset

 and 
\begin_inset Formula $0.001$
\end_inset

.
 
\begin_inset Float figure
wide false
sideways false
status open

\begin_layout Plain Layout
\begin_inset Graphics
	filename figures/figure_01/figure_01.pdf
	width 100col%
	clip

\end_inset


\begin_inset Caption Standard

\begin_layout Plain Layout
\begin_inset CommandInset label
LatexCommand label
name "fig:phasorresp"

\end_inset

The response of IWAVE to phasor input as a function of phasor frequency
 in radians per sample, for different values of 
\begin_inset Formula $w$
\end_inset

 and 
\begin_inset Formula $\Delta=1.257$
\end_inset

.
 A smaller 
\begin_inset Formula $w$
\end_inset

 results in a sharper resonant peak.
\end_layout

\end_inset


\end_layout

\end_inset


\end_layout

\begin_layout Standard
Starting from Equation 
\begin_inset CommandInset ref
LatexCommand ref
reference "eq:rotfreqresp"
plural "false"
caps "false"
noprefix "false"

\end_inset

 and writing 
\begin_inset Formula $\delta=(\Delta-\Theta)\ll1,$
\end_inset

 and 
\begin_inset Formula $w\ll1$
\end_inset

, so that we are in a limit where the frequency is in the vicinity of a
 narrow resonance, the magnitude of the filter output can be approximated
 as
\begin_inset Formula 
\begin{equation}
A(\delta)\simeq\frac{1}{\sqrt{1+\frac{\delta^{2}}{w^{2}}}},\label{eq:lorentzian}
\end{equation}

\end_inset

 so that the peak is approximately Lorentzian in shape with full width at
 half maximum (FWHM) of 
\begin_inset Formula $2w$
\end_inset

 radians per sample.
 Using the sampling rate, 
\begin_inset Formula $f_{s}$
\end_inset

, in Hz we give other properties of narrow resonances occurring when 
\begin_inset Formula $w\ll1$
\end_inset

 in Table 
\begin_inset CommandInset ref
LatexCommand ref
reference "tab:iwaveprops"
plural "false"
caps "false"
noprefix "false"

\end_inset

, where 
\begin_inset Formula $\tau_{s}$
\end_inset

 is the sampling period in seconds, 
\begin_inset Formula $\tau$
\end_inset

 is the response time in seconds and 
\begin_inset Formula $\Delta_{0}$
\end_inset

 is the resonant frequency in radians per sample.
\begin_inset Float table
wide false
sideways false
status open

\begin_layout Plain Layout
\begin_inset Tabular
<lyxtabular version="3" rows="5" columns="4">
<features tabularvalignment="middle">
<column alignment="center" valignment="top">
<column alignment="center" valignment="top">
<column alignment="center" valignment="top">
<column alignment="center" valignment="top">
<row>
<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
\begin_inset Text

\begin_layout Plain Layout
Quantity
\end_layout

\end_inset
</cell>
<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
\begin_inset Text

\begin_layout Plain Layout
Symbol
\end_layout

\end_inset
</cell>
<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
\begin_inset Text

\begin_layout Plain Layout
Formula
\end_layout

\end_inset
</cell>
<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" rightline="true" usebox="none">
\begin_inset Text

\begin_layout Plain Layout
Units
\end_layout

\end_inset
</cell>
</row>
<row>
<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
\begin_inset Text

\begin_layout Plain Layout
Full width at half maximum
\end_layout

\end_inset
</cell>
<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
\begin_inset Text

\begin_layout Plain Layout
FWHM or 
\begin_inset Formula $\Gamma$
\end_inset


\end_layout

\end_inset
</cell>
<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
\begin_inset Text

\begin_layout Plain Layout
\begin_inset Formula $\frac{wf_{s}}{\pi}=\frac{1}{\pi\tau}$
\end_inset


\end_layout

\end_inset
</cell>
<cell alignment="center" valignment="top" topline="true" leftline="true" rightline="true" usebox="none">
\begin_inset Text

\begin_layout Plain Layout
Hz
\end_layout

\end_inset
</cell>
</row>
<row>
<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
\begin_inset Text

\begin_layout Plain Layout
Quality factor
\end_layout

\end_inset
</cell>
<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
\begin_inset Text

\begin_layout Plain Layout
\begin_inset Formula $Q_{f}$
\end_inset


\end_layout

\end_inset
</cell>
<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
\begin_inset Text

\begin_layout Plain Layout
\begin_inset Formula $\frac{\Delta_{0}}{2w}=\frac{\Delta_{0}\tau}{2\tau_{s}}$
\end_inset


\end_layout

\end_inset
</cell>
<cell alignment="center" valignment="top" topline="true" leftline="true" rightline="true" usebox="none">
\begin_inset Text

\begin_layout Plain Layout
-
\end_layout

\end_inset
</cell>
</row>
<row>
<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
\begin_inset Text

\begin_layout Plain Layout
Resonant frequency
\end_layout

\end_inset
</cell>
<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
\begin_inset Text

\begin_layout Plain Layout
\begin_inset Formula $f_{0}$
\end_inset


\end_layout

\end_inset
</cell>
<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
\begin_inset Text

\begin_layout Plain Layout
\begin_inset Formula $\frac{\Delta_{0}f_{s}}{2\pi}$
\end_inset


\end_layout

\end_inset
</cell>
<cell alignment="center" valignment="top" topline="true" leftline="true" rightline="true" usebox="none">
\begin_inset Text

\begin_layout Plain Layout
Hz
\end_layout

\end_inset
</cell>
</row>
<row>
<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
\begin_inset Text

\begin_layout Plain Layout
Response time
\end_layout

\end_inset
</cell>
<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
\begin_inset Text

\begin_layout Plain Layout
\begin_inset Formula $\tau$
\end_inset


\end_layout

\end_inset
</cell>
<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
\begin_inset Text

\begin_layout Plain Layout
\begin_inset Formula $\begin{array}{c}
\frac{1}{wf_{s}}\\
\frac{\tau_{s}}{w}
\end{array}$
\end_inset


\end_layout

\end_inset
</cell>
<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" rightline="true" usebox="none">
\begin_inset Text

\begin_layout Plain Layout
s
\end_layout

\end_inset
</cell>
</row>
</lyxtabular>

\end_inset


\begin_inset Caption Standard

\begin_layout Plain Layout
\begin_inset CommandInset label
LatexCommand label
name "tab:iwaveprops"

\end_inset

Properties of narrow resonances of the IWAVE core algorithm in the limit
 where 
\begin_inset Formula $w\ll1$
\end_inset

.
 
\end_layout

\end_inset


\end_layout

\end_inset


\end_layout

\begin_layout Subsection
Application of IWAVE to a Real Sinusoidal Input
\begin_inset CommandInset label
LatexCommand label
name "subsec:Application-of-IWAVE"

\end_inset


\end_layout

\begin_layout Standard
We next discuss the usual case where the input data is a real oscillation
 at the IWAVE resonant frequency, 
\begin_inset Formula $x_{n}=\cos\left(n\Delta\right).$
\end_inset

 We decompose 
\begin_inset Formula $x_{n}$
\end_inset

 into two phasors, 
\begin_inset Formula $x_{n}=x_{f}+x_{b},$
\end_inset

 where 
\begin_inset Formula $x_{f}=e^{+in\Delta}/2$
\end_inset

 and 
\begin_inset Formula $x_{b}=e^{-in\Delta}/2$
\end_inset

, each of which is an eigenfunction of the core algorithm.
 Substituting the frequencies 
\begin_inset Formula $\pm\Delta$
\end_inset

 into Equation 
\begin_inset CommandInset ref
LatexCommand ref
reference "eq:rotfreqresp"
plural "false"
caps "false"
noprefix "false"

\end_inset

 and rearranging, we obtain the response
\end_layout

\begin_layout Standard
\begin_inset Formula 
\begin{equation}
\begin{array}{c}
\begin{aligned}y_{n}=e^{\frac{i\phi}{2}}\left(\frac{(1+a)}{2}\cos\left(n\Delta-\frac{\phi}{2}\right)\right.\end{aligned}
\\
\begin{aligned} & \left.+\frac{i(1-a)}{2}\sin\left(n\Delta-\frac{\phi}{2}\right)\right)\end{aligned}
\end{array}\label{eq:ellipseresp}
\end{equation}

\end_inset

where 
\begin_inset Formula 
\begin{equation}
\begin{aligned}a & =\frac{1-e^{-w}}{\sqrt{1-2e^{-w}\cos\left(2\Delta\right)+e^{-2w}}}\\
\phi & =\arctan\left(\frac{e^{-w}\sin\left(2\Delta\right)}{1-e^{-w}\cos\left(2\Delta\right)}\right)
\end{aligned}
.\label{eq:backfreqresp}
\end{equation}

\end_inset


\end_layout

\begin_layout Standard
\begin_inset Float figure
wide false
sideways false
status open

\begin_layout Plain Layout
\begin_inset Graphics
	filename figures/figure_02/figure_02.pdf
	width 100col%

\end_inset


\end_layout

\begin_layout Plain Layout
\begin_inset Caption Standard

\begin_layout Plain Layout
\begin_inset CommandInset label
LatexCommand label
name "fig:phasorout"

\end_inset

Output of the IWAVE core algorithm for an input 
\begin_inset Formula $x_{n}=\cos n\Delta$
\end_inset

 for 
\begin_inset Formula $\Delta=0.3068,$
\end_inset

 
\begin_inset Formula $0\leq n<27$
\end_inset

 and 
\begin_inset Formula $w=0.3.$
\end_inset

 The points are the individual outputs 
\begin_inset Formula $y_{n}$
\end_inset

 and the solid line is the limiting ellipse discussed in Section 
\begin_inset CommandInset ref
LatexCommand ref
reference "subsec:Application-of-IWAVE"
plural "false"
caps "false"
noprefix "false"

\end_inset

.
\end_layout

\end_inset


\end_layout

\end_inset


\end_layout

\begin_layout Standard
By inspection, the locus of 
\begin_inset Formula $y_{n}$
\end_inset

 is an ellipse in the complex plane having semi-major and semi minor axes
 
\begin_inset Formula $1+a$
\end_inset

 and 
\begin_inset Formula $1-a$
\end_inset

.
 Figure 
\begin_inset CommandInset ref
LatexCommand ref
reference "fig:phasorout"
plural "false"
caps "false"
noprefix "false"

\end_inset

 shows the result of driving the IWAVE core algorithm with an input 
\begin_inset Formula $x_{n}=\cos n\Delta$
\end_inset

 for 
\begin_inset Formula $n\geq0$
\end_inset

.
 The output starts at the origin, spiralling outward towards a limiting
 ellipse in the steady state.
 Notice that the argument of the output 
\begin_inset Formula $y_{n}$
\end_inset

 is always the same as the phase, 
\begin_inset Formula $n\Delta$
\end_inset

, of the input sinusoid.
\end_layout

\begin_layout Standard
Input sinusoids at frequencies other than 
\begin_inset Formula $\Delta$
\end_inset

 also result in an elliptical steady state output, though with different
 inclination angles and eccentricities, and with smaller overall areas due
 to the falloff in the magnitude of the response for phasors having frequencies
 far from 
\begin_inset Formula $\Delta$
\end_inset

.
\end_layout

\begin_layout Standard
A matrix transformation can be used to transform the elliptical locus into
 a circular one, with the real part of this circular locus being a sinusoid
 in-phase with the input wave, and the imaginary part having the same amplitude
 but lagging the input wave by 
\begin_inset Formula $90^{\circ}$
\end_inset

.
 We refer to these in-phase and out-of-phase components as the D and Q phases,
 respectively.
 This transformation can be expressed as a sequence of three elementary
 operations on the vector whose elements are the real and imaginary parts
 of 
\begin_inset Formula $y_{n}$
\end_inset

: a rotation through an angle of 
\begin_inset Formula $\frac{\phi}{2}$
\end_inset

 about the origin; sheers parallel to the real and imaginary axes by factors
 of 
\begin_inset Formula $\frac{2}{1+a}$
\end_inset

 and 
\begin_inset Formula $\frac{2}{1-a}$
\end_inset

respectively; and finally a rotation through an angle of 
\begin_inset Formula $\frac{-\phi}{2}$
\end_inset

 about the origin.
 These three matrices can be combined into a single transformation
\begin_inset Formula 
\begin{equation}
\left(\begin{array}{c}
D_{n}\\
Q_{n}
\end{array}\right)=\left(\begin{array}{cc}
1+e^{-w} & \frac{e^{-w}-1}{\tan\Delta}\\
\frac{e^{-w}-1}{\tan\Delta} & e^{-w}\left(\frac{(e^{w}-1)^{2}}{\sin^{2}\Delta}-1\right)+3
\end{array}\right)\left(\begin{array}{c}
y_{n}^{R}\\
y_{n}^{I}
\end{array}\right).\label{eq:transdq}
\end{equation}

\end_inset


\end_layout

\begin_layout Standard
The IWAVE core algorithm followed by this matrix transformation results
 in the output of both D phase and Q phase copies of the input drive.
 Thus, IWAVE is an example of what is referred to in signal processing parlance
 as an orthogonal state generator.
 As we shall see, the Q phase quadrature can be used to generate an error
 signal to detect changes in frequency, allowing IWAVE to be used in place
 of a reference oscillator in a PLL.
 The sum in quadrature of the two phases, 
\begin_inset Formula $A_{n}=\sqrt{D_{n}^{2}+Q_{n}^{2}}$
\end_inset

, is an estimate of the input signal amplitude.
 We will use the symbols in Figure 
\begin_inset CommandInset ref
LatexCommand ref
reference "fig:Symbols-for-IWAVE"
plural "false"
caps "false"
noprefix "false"

\end_inset

 to denote the application of IWAVE either to complex phasor or real sinusoidal
 inputs.
 
\begin_inset Float figure
wide false
sideways false
status open

\begin_layout Plain Layout
\begin_inset Graphics
	filename figures/figure_03/figure_03.pdf
	width 100col%
	clip

\end_inset


\begin_inset Caption Standard

\begin_layout Plain Layout
\begin_inset CommandInset label
LatexCommand label
name "fig:Symbols-for-IWAVE"

\end_inset

Symbols for IWAVE acting on two component phasor or real inputs.
 The parameters 
\begin_inset Formula $w$
\end_inset

 and 
\begin_inset Formula $\Delta$
\end_inset

 may be adjusted to reflect changes in the state of the drive.
\end_layout

\end_inset


\end_layout

\end_inset


\end_layout

\begin_layout Standard
We next consider the transfer functions from a real sinusoidal drive, an
 example of which is shown in Figure 
\begin_inset CommandInset ref
LatexCommand ref
reference "fig:exampletransferfunctions"
plural "false"
caps "false"
noprefix "false"

\end_inset

.
 Note that the dependence on frequency off-resonance is different for the
 
\begin_inset Formula $D$
\end_inset

 and 
\begin_inset Formula $Q$
\end_inset

 outputs.
 The 
\begin_inset Formula $D$
\end_inset

 transfer function rises linearly in frequency below the resonance, and
 falls linearly in frequency above it, having a phase lead of 
\begin_inset Formula $90^{\circ}$
\end_inset

 below the resonance and a phase lag of 
\begin_inset Formula $90^{\circ}$
\end_inset

 above it.
 The 
\begin_inset Formula $Q$
\end_inset

 transfer function has a flat frequency response below the resonance but
 falls as 
\begin_inset Formula $f^{-2}$
\end_inset

 above it, and is in phase with the drive below the resonance, but 
\begin_inset Formula $180^{\circ}$
\end_inset

 out of phase with the drive above it.
 
\end_layout

\begin_layout Standard
This behaviour is similar to that of a driven series RLC tank circuit, where
 the transfer functions from the input voltage to the voltage across the
 capacitor and resistor are similar to those between the input and the 
\begin_inset Formula $Q$
\end_inset

 and 
\begin_inset Formula $D$
\end_inset

 phase outputs, respectively.
 The relatively light suppression of low frequency off-resonance signals
 in the 
\begin_inset Formula $Q$
\end_inset

 phase output can be important, particularly in cases where the quality
 factor Q of the circuit is set low by using a relatively large 
\begin_inset Formula $w$
\end_inset

 coefficient.
 As in the resonant circuit, the ratio of the resonant to low frequency
 response is 
\begin_inset Formula $Q$
\end_inset

.
\begin_inset Float figure
wide false
sideways false
status open

\begin_layout Plain Layout
\begin_inset Graphics
	filename figures/figure_04/figure_04.pdf
	width 100col%
	clip

\end_inset


\begin_inset Caption Standard

\begin_layout Plain Layout
\begin_inset CommandInset label
LatexCommand label
name "fig:exampletransferfunctions"

\end_inset

An example of the transfer functions between a real sinusoidal input and
 the 
\begin_inset Formula $D$
\end_inset

 and 
\begin_inset Formula $Q$
\end_inset

 phase outputs.
 Here the sampling rate was 256 Hz, the resonant frequency was 1 Hz and
 the filter quality factor 
\begin_inset Formula $Q$
\end_inset

 was set to 12.3.
 Notice that the low frequency attenuation in the 
\begin_inset Formula $Q$
\end_inset

 phase output is about 0.08, which is 
\begin_inset Formula $1/Q$
\end_inset

.
\end_layout

\end_inset


\end_layout

\end_inset


\end_layout

\begin_layout Standard
Changes in the amplitude of the incoming wave at the resonance result in
 a corresponding change in the quadrature sum, 
\begin_inset Formula $A_{n}=\sqrt{D_{n}^{2}+Q_{n}^{2}}$
\end_inset

, but with a response time 
\begin_inset Formula $\tau=\tau_{s}/w$
\end_inset

 leading to a single pole in the response to amplitude changes at 
\begin_inset Formula $s=-1/\tau.$
\end_inset

 Figure 
\begin_inset CommandInset ref
LatexCommand ref
reference "fig:AMresponse"
plural "false"
caps "false"
noprefix "false"

\end_inset

 shows the response at IWAVE's resonance frequency to an input having a
 sinusoidally modulated amplitude for a variety of response times.
 
\begin_inset Float figure
wide false
sideways false
status open

\begin_layout Plain Layout
\begin_inset Graphics
	filename figures/figure_05/figure_05.pdf
	width 100col%

\end_inset


\begin_inset Caption Standard

\begin_layout Plain Layout
\begin_inset CommandInset label
LatexCommand label
name "fig:AMresponse"

\end_inset

An example of the response of IWAVE to amplitude modulated signals.
 The carrier frequency was 
\begin_inset Formula $60\,\mathrm{Hz}$
\end_inset

 and the modulation depth was 
\begin_inset Formula $10\%$
\end_inset

.
 Modulation frequencies in the range 
\begin_inset Formula $33\,\mathrm{mHz\leq f_{AM}<33\,\mathrm{Hz}}$
\end_inset

 were used and results are shown for five different values of 
\begin_inset Formula $\tau$
\end_inset

.
 The 3dB point for turnover between flat response and proportionality to
 
\begin_inset Formula $1/f_{\mathrm{AM}}$
\end_inset

 is 
\begin_inset Formula $f_{\mathrm{AM}}^{\mathrm{3dB}}=1/\left(2\pi\tau\right)$
\end_inset

 in each case.
 
\end_layout

\end_inset


\end_layout

\end_inset


\end_layout

\begin_layout Subsection
An IWAVE-based Phase Locked Loop
\end_layout

\begin_layout Standard
In order to phase lock with IWAVE, we need a measure of departures in frequency
 from the frequency 
\begin_inset Formula $\Delta$
\end_inset

 of the harmonic wave at the input.
 We achieve this by exploiting the response time 
\begin_inset Formula $\tau$
\end_inset

 of the IWAVE algorithm.
 Consider a harmonic wave initially at frequency 
\begin_inset Formula $\Delta$
\end_inset

.
 IWAVE yields both a 
\begin_inset Formula $D_{n}$
\end_inset

 phase and a 
\begin_inset Formula $Q_{n}$
\end_inset

 phase copy of this wave at its output.
 The product of the out-of-phase copy and the input wave, 
\begin_inset Formula $A^{2}\cos\left(n\Delta\right)\sin(n\Delta)=\left(\nicefrac{A^{2}}{2}\right)\sin\left(2n\Delta\right)$
\end_inset

, is a pure harmonic signal at frequency 
\begin_inset Formula $2\Delta.$
\end_inset

 Now, consider an input signal where the wave develops anomalous phase and
 amplitude disturbances, 
\begin_inset Formula $\delta$
\end_inset

 and 
\begin_inset Formula $\varepsilon$
\end_inset

, respectively, so that 
\begin_inset Formula $x_{n}=A(1+\varepsilon)\cos(n\Delta+\delta)$
\end_inset

.
 For elapsed times significantly less than 
\begin_inset Formula $\tau$
\end_inset

 following the onset of these disturbances, the outputs 
\begin_inset Formula $D_{n}=A\cos n\Delta$
\end_inset

 and 
\begin_inset Formula $Q_{n}=A\sin n\Delta$
\end_inset

 are unaffected by them.
 The combinations 
\begin_inset Formula $E_{n}=(x_{n}-D_{n})Q_{n}$
\end_inset

 and 
\begin_inset Formula $F_{n}=x_{n}D_{n}+Q_{n}^{2}-A_{n}^{2}$
\end_inset

 can be written
\end_layout

\begin_layout Standard
\begin_inset Formula 
\begin{equation}
\begin{array}{c}
\begin{aligned}\left(\begin{array}{c}
E_{n}\\
F_{n}
\end{array}\right)= & \frac{A^{2}}{2}\left[\left(\begin{array}{c}
-\delta\\
\varepsilon
\end{array}\right)\right.\end{aligned}
\\
\begin{aligned}+ & \left.\left(\begin{array}{cc}
\cos(2n\Delta) & \sin(2n\Delta)\\
-\sin(2n\Delta) & \cos(2n\Delta)
\end{array}\right)\left(\begin{array}{c}
\delta\\
\varepsilon
\end{array}\right)\right].\end{aligned}
\end{array}\label{eq:errorsignals}
\end{equation}

\end_inset


\end_layout

\begin_layout Standard
This equation shows that 
\begin_inset Formula $E_{n}$
\end_inset

 and 
\begin_inset Formula $F_{n}$
\end_inset

 each consists of a static offset plus upper sidebands of frequency 
\begin_inset Formula $2\Delta$
\end_inset

, linear in the phase and amplitude offsets, respectively.
 The upper sidebands, however, appear as components of a rotating phasor
 in the space spanned by the 
\begin_inset Formula $E_{n}$
\end_inset

 and 
\begin_inset Formula $F_{n}$
\end_inset

 signals.
 We remove them using the complex carrier version of IWAVE, subtracting
 its outputs from its inputs.
 We have determined experimentally that using twice the 
\begin_inset Formula $w$
\end_inset

 factor in the 
\begin_inset Formula $2\Delta$
\end_inset

 IWAVE filter yields an acceptable error signal for the detection of phase
 departures.
 
\end_layout

\begin_layout Standard
Figure 
\begin_inset CommandInset ref
LatexCommand ref
reference "fig:iwavepllschematic"
plural "false"
caps "false"
noprefix "false"

\end_inset

 is a schematic for the full IWAVE-based phase and amplitude detector.
 We have only considered here the case where the input data is real and
 we are tracking harmonic waves.
 The case where the input data is two-component rotating phasors is simpler,
 as it can be shown that the combination 
\begin_inset Formula $E_{n}'=x_{n}^{R}Q_{n}-x_{n}^{I}D_{n}$
\end_inset

 contains a pure DC signal in phase offset with no upper sideband contamination.
 Also shown is the feedback path from the filtered error signal, 
\begin_inset Formula $\delta\phi_{n}$
\end_inset

, back to 
\begin_inset Formula $\Delta$
\end_inset

 through an integrator, discussed below.
\begin_inset Float figure
wide true
sideways false
status open

\begin_layout Plain Layout
\begin_inset Graphics
	filename figures/figure_06/figure_06.pdf
	width 200col%

\end_inset


\begin_inset Caption Standard

\begin_layout Plain Layout
\begin_inset CommandInset label
LatexCommand label
name "fig:iwavepllschematic"

\end_inset

A schematic of the IWAVE PLL.
 The error signal after upper sideband filtering is 
\begin_inset Formula $\delta\phi_{n}$
\end_inset

.
 The switch closes the feedback loop to adjust 
\begin_inset Formula $\Delta$
\end_inset

 and 
\begin_inset Formula $2\Delta$
\end_inset

 for the two IWAVE instances.
 Use of the complex input IWAVE for attenuation of the 
\begin_inset Formula $2\Delta$
\end_inset

 component in the error signal reduces the computational load compared with
 the use of a real input IWAVE on the 
\begin_inset Formula $E_{n}$
\end_inset

 signal alone.
\end_layout

\end_inset


\end_layout

\end_inset


\end_layout

\begin_layout Standard
The response of IWAVE to modulation of the frequency of the carrier is shown
 in Figure 
\begin_inset CommandInset ref
LatexCommand ref
reference "fig:fmresp"
plural "false"
caps "false"
noprefix "false"

\end_inset

.
\begin_inset Float figure
wide false
sideways false
status open

\begin_layout Plain Layout
\begin_inset Graphics
	filename figures/figure_07/figure_07.pdf
	width 100col%
	clip

\end_inset


\end_layout

\begin_layout Plain Layout
\begin_inset Caption Standard

\begin_layout Plain Layout
\begin_inset CommandInset label
LatexCommand label
name "fig:fmresp"

\end_inset

The transfer function of IWAVE from frequency modulation of the input carrier
 to the response in 
\begin_inset Formula $\delta\phi_{n}$
\end_inset

 with the feedback loop open, for four different values of 
\begin_inset Formula $\tau$
\end_inset

.
 The output is insensitive at DC because a step in frequency without feedback
 moves the input carrier off the IWAVE resonant frequency 
\begin_inset Formula $\Delta_{0}$
\end_inset

.
 Sensitivity increases towards high frequencies because the homodyne detector
 relies on beats between the 
\begin_inset Formula $Q$
\end_inset

 phase IWAVE output and the carrier, which appear so long as IWAVE has not
 had the adjustment time, 
\begin_inset Formula $\tau$
\end_inset

, necessary for its outputs to respond to changes in the input signal.
 Between these two regimes there is a single pole at frequency 
\begin_inset Formula $1/(2\pi\tau)$
\end_inset

 Hz, which, combined with the zero at DC, makes the frequency modulated
 (FM) response a highpass filter having the same 3dB point as the lowpass
 filter associated with the AM response.
 In each case the carrier frequency is 
\begin_inset Formula $\mathrm{60\,Hz}$
\end_inset

 and the sampling rate is 
\begin_inset Formula $\mathrm{16384\,Hz}$
\end_inset

.
\end_layout

\end_inset


\end_layout

\end_inset

Knowing the analytic form of the frequency response, we can analyse the
 closed loop IWAVE PLL to determine an appropriate choice of feedback gain,
 
\begin_inset Formula $G$
\end_inset

.
 A schematic for the feedback controller is shown in Figure 
\begin_inset CommandInset ref
LatexCommand ref
reference "fig:iwavepllsplane"
plural "false"
caps "false"
noprefix "false"

\end_inset

.
\begin_inset Float figure
wide false
sideways false
status open

\begin_layout Plain Layout
\begin_inset Graphics
	filename figures/figure_08/figure_08.pdf
	width 100col%

\end_inset


\end_layout

\begin_layout Plain Layout
\begin_inset Caption Standard

\begin_layout Plain Layout
\begin_inset CommandInset label
LatexCommand label
name "fig:iwavepllsplane"

\end_inset

An s-plane model of the IWAVE PLL.
\end_layout

\end_inset


\end_layout

\end_inset

Any difference between the incoming wave frequency and the IWAVE filter
 central frequency results in an accumulating phase shift in the homodyne
 detector.
 This accumulation of phase is represented by the factor of 
\begin_inset Formula $2\pi/s$
\end_inset

, where 
\begin_inset Formula $s=2\pi if$
\end_inset

, with 
\begin_inset Formula $f$
\end_inset

 being the signal's frequency.
 The response of IWAVE to phase, confirmed by the measurements underlying
 Figure 
\begin_inset CommandInset ref
LatexCommand ref
reference "fig:fmresp"
plural "false"
caps "false"
noprefix "false"

\end_inset

, acts on the accumulated phase to produce the error signal.
 As shown in Figure 
\begin_inset CommandInset ref
LatexCommand ref
reference "fig:iwavepllsplane"
plural "false"
caps "false"
noprefix "false"

\end_inset

, the feedback path from the error signal to a correction in the central
 frequency of IWAVE consists of an adjustable gain, 
\begin_inset Formula $G$
\end_inset

, an addition of the gain boosted error signal to the previous value of
 the phase shift per sample and a scale factor to convert from radians per
 sample to frequency in Hz.
 The closed loop gain is calculated by the usual consistency argument around
 the loop,
\begin_inset Formula 
\begin{equation}
f_{{\rm out}}=f_{{\rm in}}\frac{2\pi}{s}\frac{s\tau}{1+s\tau}G\frac{1}{s\tau_{s}}\frac{1}{2\pi\tau_{s}}-f_{{\rm out}}\frac{2\pi}{s}\frac{s\tau}{1+s\tau}G\frac{1}{s\tau_{s}}\frac{1}{2\pi\tau_{s}},
\end{equation}

\end_inset

from which we obtain the closed loop transfer function,
\begin_inset Formula 
\begin{equation}
H(s)=\frac{f_{{\rm out}}}{f_{{\rm in}}}=\frac{\frac{G}{\tau_{s}^{2}}}{s^{2}+\frac{s}{\tau}+\frac{G}{\tau_{s}^{2}}}.
\end{equation}

\end_inset

This is the transfer function of a driven damped harmonic oscillator.
 We want a critically damped response since the control signal will be used
 to measure the oscillator frequency.
 For critical damping we require two coincident real poles, which is achieved
 if 
\begin_inset Formula $G=\tau_{s}^{2}/(4\tau^{2})$
\end_inset

.
 The closed loop transfer function then takes the simpler form
\begin_inset Formula 
\begin{equation}
H(s)=\left(\frac{\frac{1}{2\tau}}{s+\frac{1}{2\tau}}\right)^{2}.\label{eq:closedlooptf}
\end{equation}

\end_inset

The response to frequency or phase modulation is therefore flat below the
 knee frequency of 
\begin_inset Formula $1/(4\pi\tau)\,{\rm Hz},$
\end_inset

 where due to the two poles it has rolled of to 
\begin_inset Formula ${\rm -6dB},$
\end_inset

 and drops as 
\begin_inset Formula $1/f^{2}$
\end_inset

 above that frequency.
 Larger values of 
\begin_inset Formula $G$
\end_inset

 result in sharper turnover or a resonant peak, corresponding to the underdamped
 case.
\end_layout

\begin_layout Section
Limits of applicability of IWAVE
\begin_inset CommandInset label
LatexCommand label
name "sec:limits"

\end_inset


\end_layout

\begin_layout Standard
The time constant 
\begin_inset Formula $\tau$
\end_inset

 determines the responsiveness of IWAVE to changes in wave frequency and
 amplitude, as well as the noise bandwidth of the filter.
 Decreasing 
\begin_inset Formula $\tau$
\end_inset

 results in a faster response and better ability to stay locked on waves
 whose frequencies are changing, but also increases the bandwidth of IWAVE
 to input noise, resulting in a noisier error signal.
 The optimal 
\begin_inset Formula $\tau$
\end_inset

 is small enough so that IWAVE stays locked when the frequency changes,
 but not so small that excessive background noise is admitted by the filter.
 Section 
\begin_inset CommandInset ref
LatexCommand ref
reference "subsec:Frequency-tracking"
plural "false"
caps "false"
noprefix "false"

\end_inset

 is on frequency tracking, and Section 
\begin_inset CommandInset ref
LatexCommand ref
reference "subsec:Response-to-noise"
plural "false"
caps "false"
noprefix "false"

\end_inset

 discusses locking in the presence of additive noise and the character of
 the error signal.
\end_layout

\begin_layout Subsection
Frequency Tracking
\begin_inset CommandInset label
LatexCommand label
name "subsec:Frequency-tracking"

\end_inset


\end_layout

\begin_layout Standard
Consider a wave whose displacement at time 
\begin_inset Formula $t$
\end_inset

 is 
\begin_inset ERT
status open

\begin_layout Plain Layout


\backslash
mbox{
\end_layout

\end_inset


\begin_inset Formula $h\left(t\right)=A\cos\left(2\pi f\left(t\right)t\right)$
\end_inset


\begin_inset ERT
status open

\begin_layout Plain Layout

}
\end_layout

\end_inset

, so that the frequency of the wave is changing.
 The ability of IWAVE to track the evolving wave depends on the value of
 the response time parameter, 
\begin_inset Formula $\tau$
\end_inset

.
 Figure 
\begin_inset CommandInset ref
LatexCommand ref
reference "fig:ftrack"
plural "false"
caps "false"
noprefix "false"

\end_inset

 shows the results of running IWAVE on a swept sinusoidal wave starting
 at 20Hz and increasing linearly in frequency at a variety of rates.
 At each sweep rate, a variety of values of 
\begin_inset Formula $\tau$
\end_inset

 was used.
 The sum of the squares of the deviation between the actual frequency and
 the frequency reconstructed by IWAVE over a time interval of 
\begin_inset Formula $20$
\end_inset

 seconds, here referred to as 
\begin_inset Formula $\chi^{2}$
\end_inset

, was calculated as a measure of the accuracy of frequency reconstruction.
 
\end_layout

\begin_layout Standard
\begin_inset Float figure
wide false
sideways false
status open

\begin_layout Plain Layout
\begin_inset Graphics
	filename figures/figure_13/figure_09.pdf
	width 100col%

\end_inset


\end_layout

\begin_layout Plain Layout
\begin_inset Caption Standard

\begin_layout Plain Layout
\begin_inset CommandInset label
LatexCommand label
name "fig:ftrack"

\end_inset

Measured 
\begin_inset Formula $\chi^{2}$
\end_inset

 as defined in the Section 
\begin_inset CommandInset ref
LatexCommand ref
reference "subsec:Frequency-tracking"
plural "false"
caps "false"
noprefix "false"

\end_inset

 from a simulation where an input swept sinusoid plus additive white Gaussian
 noise was fed into IWAVE.
 A range of sweep rates from 
\begin_inset Formula $0.1$
\end_inset

 to 
\begin_inset Formula $2.5$
\end_inset

 Hz
\begin_inset Formula $s^{-1}$
\end_inset

 was used.
 For each injected wave, IWAVE was run with a range of between 
\begin_inset Formula $0.01$
\end_inset

 
\begin_inset Formula $s$
\end_inset

 and 
\begin_inset Formula $5.0$
\end_inset

 
\begin_inset Formula $s$
\end_inset

.
 Also overlaid are three curves in bold.
 The bold red curve is the measured value of that minimises 
\begin_inset Formula $\chi^{2}$
\end_inset

 versus the value of 
\begin_inset Formula $\chi^{2}$
\end_inset

 at that 
\begin_inset Formula $\tau$
\end_inset

 for each 
\begin_inset Formula $df/dt$
\end_inset

.
 The bold blue curve is the theoretical optimum 
\begin_inset Formula $\tau$
\end_inset

 calculated using Equation 15.
 The bold black curve is the upper limit on 
\begin_inset Formula $\tau$
\end_inset

 above which loss of lock is predicted as discussed in the final paragraph
 of Section 
\begin_inset CommandInset ref
LatexCommand ref
reference "subsec:Frequency-tracking"
plural "false"
caps "false"
noprefix "false"

\end_inset

, 
\begin_inset Formula $\tau<\sqrt{2df/dt}$
\end_inset

, versus the measured 
\begin_inset Formula $\chi^{2}$
\end_inset

 at that 
\begin_inset Formula $\tau$
\end_inset

.
\end_layout

\end_inset


\end_layout

\end_inset


\end_layout

\begin_layout Standard
The value of 
\begin_inset Formula $\chi^{2}$
\end_inset

 is seen to be a function of 
\begin_inset Formula $\tau$
\end_inset

, with a pronounced minimum that is a function of the sweep rate.
 The 
\begin_inset Formula $\chi^{2}$
\end_inset

 statistic also becomes noisy at both ends of the range of values of 
\begin_inset Formula $\tau$
\end_inset

.
 Here we explain the smooth descent and ascent in 
\begin_inset Formula $\chi^{2}$
\end_inset

 on either side of the minimum, and obtain a formula for the optimum value
 of 
\begin_inset Formula $\tau$
\end_inset

.
 We also explain the onset of noise at either end of the range of 
\begin_inset Formula $\tau$
\end_inset

.
 
\end_layout

\begin_layout Standard
Starting at the minimum, 
\begin_inset Formula $\chi^{2}$
\end_inset

 rises with 
\begin_inset Formula $\tau$
\end_inset

 because of the response time of the closed loop transfer function of the
 servo, from Equation 
\begin_inset CommandInset ref
LatexCommand ref
reference "eq:closedlooptf"
plural "false"
caps "false"
noprefix "false"

\end_inset

.
 The transfer function is that of two RC lowpass filters in series, each
 having an exponentially decaying impulse response of timescale 
\begin_inset Formula $2\tau$
\end_inset

.
 The response time of the entire transfer function is therefore the time
 duration of the autocorrelation of this exponentially decaying function.
 This autocorrelation initially rises linearly in time after the impulse,
 before reaching a maximum at time 
\begin_inset Formula $2\tau$
\end_inset

 and then decaying exponentially.
 The time between the impulse and the point where the exponential decay
 reaches 
\begin_inset Formula $1/e$
\end_inset

 of its maximum value is 
\begin_inset Formula $6\tau$
\end_inset

.
 This causes the frequency tracking of IWAVE to lag behind that of the input
 swept sine wave, leading to a frequency discrepancy at any given time of
 
\begin_inset Formula $\Delta f_{1}=6\tau(df/dt)$
\end_inset

.
\end_layout

\begin_layout Standard
Below the minimum of 
\begin_inset Formula $\chi^{2}(\tau)$
\end_inset

, the falloff in 
\begin_inset Formula $\chi^{2}$
\end_inset

 with increasing 
\begin_inset Formula $\tau$
\end_inset

 is explained by the frequency response of the core IWAVE algorithm, and
 is best understood by the analogy between the IWAVE algorithm and the character
istics of a damped harmonic oscillator discussed in Section 
\begin_inset CommandInset ref
LatexCommand ref
reference "subsec:Application-of-IWAVE"
plural "false"
caps "false"
noprefix "false"

\end_inset

.
 At higher values of damping, the frequency response is maximal at a frequency
 
\begin_inset Formula $f$
\end_inset

 below the natural frequency of the undamped oscillator, 
\begin_inset Formula $f_{0}$
\end_inset

 by an amount given by the relationship 
\begin_inset Formula $f_{0}=\sqrt{f^{2}+1/\left(2\pi^{2}\tau^{2}\right)}$
\end_inset

.
 This causes a systematic offset between the frequency 
\begin_inset Formula $f$
\end_inset

 returned by IWAVE, and the frequency 
\begin_inset Formula $f_{0}$
\end_inset

 of the input signal.
 The square of this frequency difference is an additional contribution to
 the 
\begin_inset Formula $\chi^{2}$
\end_inset

 statistic.
\end_layout

\begin_layout Standard
By squaring and adding the two frequency discrepancies arising from these
 two effects and minimising with respect to 
\begin_inset Formula $\tau$
\end_inset

, making the assumption that 
\begin_inset ERT
status open

\begin_layout Plain Layout

$2
\backslash
pi^2
\backslash
tau^2(df/dt)^2
\backslash
gg1$
\end_layout

\end_inset

, we arrive at a value of 
\begin_inset Formula $\tau$
\end_inset

 that minimises 
\begin_inset Formula $\chi^{2}$
\end_inset

 statistic for the frequency tracking.
\end_layout

\begin_layout Standard
\begin_inset Formula 
\begin{equation}
\tau_{{\rm opt}}=\frac{1}{\sqrt[6]{288\pi^{4}f^{2}\left(\frac{df}{dt}\right)^{2}}}\label{eq:tauopt}
\end{equation}

\end_inset


\end_layout

\begin_layout Standard
Figure 
\begin_inset CommandInset ref
LatexCommand ref
reference "fig:ftrack"
plural "false"
caps "false"
noprefix "false"

\end_inset

 shows in bold red the values of 
\begin_inset Formula $\tau_{{\rm opt}}$
\end_inset

 corresponding to the measured minimum 
\begin_inset Formula $\tau$
\end_inset

 and 
\begin_inset Formula $\chi^{2}$
\end_inset

 across each of the 
\begin_inset Formula $\chi^{2}$
\end_inset

curves, the measured 
\begin_inset Formula $\chi^{2}$
\end_inset

at that minimum, along with, in bold blue, the value of 
\begin_inset Formula $\tau_{{\rm opt}}$
\end_inset

, versus the value of 
\begin_inset Formula $\chi^{2}$
\end_inset

 at 
\begin_inset Formula $\tau_{{\rm opt}}$
\end_inset

.
 There is good agreement between the theoretical 
\begin_inset Formula $\tau_{{\rm opt}}$
\end_inset

and the value determined from simulations.
\end_layout

\begin_layout Standard
We next discuss the breakdown of IWAVE at high values of 
\begin_inset Formula $\tau$
\end_inset

, where the 
\begin_inset Formula $\chi^{2}(\tau)$
\end_inset

 curves become noisy, indicating loss of lock.
 The following argument leads to successful prediction of the value of 
\begin_inset Formula $\tau$
\end_inset

 where this breakdown occurs.
 Consider a wave whose displacement at time 
\begin_inset Formula $t$
\end_inset

 is 
\begin_inset Formula $h(t)=A\cos\left(2\pi f(t)t\right)$
\end_inset

, so that the frequency of the wave is changing.
 Assume that IWAVE is locked at time 
\begin_inset Formula $t$
\end_inset

, so that the IWAVE output is 
\begin_inset Formula $m(t)$
\end_inset

 and is equal to 
\begin_inset Formula $h(t)$
\end_inset

.
 At time 
\begin_inset Formula $t+\tau$
\end_inset

, the wave displacement has evolved to 
\begin_inset Formula $h(t+\tau)=A\cos\left(2\pi(f+df)(t+\tau)\right)$
\end_inset

.
 In time interval 
\begin_inset Formula $[\tau,t+\tau]$
\end_inset

, the IWAVE output has not had time to respond to the frequency shift, 
\begin_inset Formula $df$
\end_inset

 , and therefore takes the form 
\begin_inset Formula $m(t+\tau)=A\cos\left(2\pi f(t+\tau)\right).$
\end_inset

 The phase shift between the wave and the IWAVE output at time 
\begin_inset Formula $t+\tau$
\end_inset

 is 
\begin_inset Formula $\Delta\phi\simeq2\pi\tau df$
\end_inset

.
 The error signal for IWAVE is approximated by the integral 
\begin_inset Formula $\int h(t')m(t')dt'$
\end_inset

 over time interval 
\begin_inset Formula $[t,t+\tau]$
\end_inset

.
 If the phase shift between the incoming wave and the IWAVE output over
 this time interval is greater than 
\begin_inset Formula $\pi$
\end_inset

, the error signal will undergo a sign change causing loss of lock.
 Therefore, a condition for IWAVE to remain locked is that 
\begin_inset Formula $\Delta\phi<\pi$
\end_inset

, or 
\begin_inset Formula $\tau\Delta f<1/2$
\end_inset

.
 Writing 
\begin_inset Formula $df=\tau\times df(t)/dt$
\end_inset

, we arrive at the upper bound that 
\begin_inset Formula $\tau$
\end_inset

 should obey 
\begin_inset Formula $\tau<\sqrt{2df/dt}$
\end_inset

 for IWAVE to remain locked.
 This line is drawn on the 
\begin_inset Formula $\chi^{2}$
\end_inset

 curves in Figure 
\begin_inset CommandInset ref
LatexCommand ref
reference "fig:ftrack"
plural "false"
caps "false"
noprefix "false"

\end_inset

 in bold black.
 Again, there is good agreement between the theoretical limit and the onset
 of visible servo lock loss.
 
\end_layout

\begin_layout Subsection
Response to Noise 
\begin_inset CommandInset label
LatexCommand label
name "subsec:Response-to-noise"

\end_inset


\end_layout

\begin_layout Standard
The error signal for the IWAVE PLL is formed out of the product of the input
 data stream and the Q phase output of the IWAVE filter.
 From this product is subtracted the product of the D and Q phase IWAVE
 outputs.
 This subtraction removes the upper sideband at frequency 
\begin_inset Formula $2f$
\end_inset

 in the static case.
 Extra 
\begin_inset Formula $2f$
\end_inset

 suppression, effective when the frequency of the harmonic changes, is achieved
 using a second IWAVE filter.
 Finally, the result is divided by the square of the amplitude of the harmonic
 being tracked.
 This is because both the line in the input data, and the IWAVE outputs
 scale with the line amplitude, so you need to divide this scale out otherwise
 the PLL loop gain will be dependent on the amplitude of the tracked harmonic
 wave.
\end_layout

\begin_layout Standard
This is a form of homodyne detector.
 Because the error signal incorporates the unfiltered wideband input, it
 incorporates the broadband noise of the incoming data.
 The distribution of the error signal therefore reflects the spectral characteri
stics of the input data over the full Nyquist band.
 If, for example, the incoming data includes a time domain transient with
 a broad spectral distribution, this transient will be reflected in the
 time history of the error signal from IWAVE.
 If the out of band noise is sufficiently large in amplitude, then IWAVE
 will lose lock.
 
\end_layout

\begin_layout Standard
We have determined experimentally that at the optimal choice of response
 time, 
\begin_inset Formula $\tau_{{\rm opt}}$
\end_inset

, given in Equation 
\begin_inset CommandInset ref
LatexCommand ref
reference "eq:tauopt"
plural "false"
caps "false"
noprefix "false"

\end_inset

, then IWAVE will stay locked when the ratio of the wave peak amplitude
 to the root mean square noise amplitude exceeds 0.3.
 Future work to improve the performance of IWAVE at lower signal-to-noise
 ratios could involve, for example, prefiltering the input data to focus
 on a narrower frequency band about the frequency of interest for the waves
 under study.
 The noise content of the error signal, which leads to noise also in the
 estimate of the IWAVE frequency, is greater at smaller values of 
\begin_inset Formula $\tau$
\end_inset

 where the bandwidth of the IWAVE filter resonance is larger.
 At sufficiently small values of 
\begin_inset Formula $\tau$
\end_inset

, the incursion of noise leads again to loss of lock.
 This can be seen in Figure 
\begin_inset CommandInset ref
LatexCommand ref
reference "fig:ftrack"
plural "false"
caps "false"
noprefix "false"

\end_inset

 for 
\begin_inset Formula $\tau<0.02$
\end_inset

.
 
\end_layout

\begin_layout Standard
The exact value of 
\begin_inset Formula $\tau$
\end_inset

 where this occurs could be determined by a detailed stochastic differential
 equation approach, which is beyond the scope of this paper.
 However, a simple scaling argument can be made.
 Noise in the error signal leads to a random component being added to the
 phase shift per sample.
 This means that the reconstructed frequency, which also forms the servo
 control signal, contains a component that undergoes a random walk, and
 hence grows with the square root of the number of samples.
 This means that you might expect the onset of loss of lock to occur at
 a 
\begin_inset Formula $\tau$
\end_inset

 which scales as one over the square of the signal to noise ratio, so that
 IWAVE works at 
\begin_inset Formula $\tau$
\end_inset

 above a lower limit that goes down by a factor of two when the signal to
 noise ratio is enhanced by a factor of 
\begin_inset Formula $\sqrt{2}.$
\end_inset

This was verified by injecting additive white Gaussian noise on top of the
 swept sine wave, and noting that the threshold for lock loss at low 
\begin_inset Formula $\tau$
\end_inset

 reproduced this predicted behaviour.
\end_layout

\begin_layout Standard
In terms of noise in the error signal, the most significant source is the
 product of noise in the input data, since this noise enters the error signal
 without bandpassing through the IWAVE filter.
 However, this broadband noise has an RMS amplitude independent of the amplitude
 of the tracked wave.
 If the tracked wave drops in amplitude, but the RMS of the broadband noise
 at the input does not, then the noise component of the error signal will
 scale inversely proportionally to the amplitude of the line.
 This is exactly what is seen when IWAVE is run in practice on real data.
 The normalisation of the error signal with the amplitude squared is necessary
 to ensure that the feedback loop gain is independent of the wave amplitude.
\end_layout

\begin_layout Standard
The other function of the error signal is to provide an indication of whether
 or not the PLL is locked.
 With a non-stationary RMS, this is difficult.
 However, if we scale the error signal by multiplying it by the amplitude
 of the wave being tracked, this stabilises the RMS of the error signal
 noise at the level of the line amplitude.
 If we further divide by the long-term RMS of the input data, we then obtain
 a statistic that has a stable RMS of order unity when the servo is locked.
 Departures from lock manifest themselves as large transient spikes of amplitude
 greater than 10.
 This effect will be seen in the discussion of performance on gravitational
 wave data in Section 
\begin_inset CommandInset ref
LatexCommand ref
reference "sec:Performance-of-IWAVE"
plural "false"
caps "false"
noprefix "false"

\end_inset


\end_layout

\begin_layout Subsection
Use of multiple IWAVE filters in parallel
\begin_inset CommandInset label
LatexCommand label
name "subsec:IWAVECROSS"

\end_inset


\end_layout

\begin_layout Standard
Multiple IWAVE filters can be applied to multiple harmonic waves in a single
 data stream.
 However, when those harmonics are frequencies spaced closely together,
 this causes crosstalk between the different filters.
 All harmonics present in the data will enter every IWAVE instance through
 the error signal.
 To mitigate this effect we employ a cross-subtraction scheme, as illustrated
 in Figure 
\begin_inset CommandInset ref
LatexCommand ref
reference "fig:iwavecross"
plural "false"
caps "false"
noprefix "false"

\end_inset

.
 
\end_layout

\begin_layout Standard
The schematic shows only two IWAVE instances, but the technique generalises
 to any number of filters.
 Assume that the two IWAVE filters are locked on line frequencies 
\begin_inset Formula $f_{1}$
\end_inset

 and 
\begin_inset Formula $f_{2}$
\end_inset

.
 The 
\begin_inset Formula $D$
\end_inset

 and 
\begin_inset Formula $Q$
\end_inset

 phase outputs from each IWAVE instance are fed into a phase shifter which
 estimates the wave signal one sample in the future at the frequency of
 the wave tracked by the filter.
 This wave sample is stored until the next input data sample, when it is
 subtracted from the input data to the other filter.
 In this way, the input data to each IWAVE filter is purged of the harmonic
 being followed by the other filter.
 This technique has been determined to successfully lock multiplets of up
 to 20 filters, leaving the frequency estimates from each filter free of
 oscillations at the difference between frequencies in the multiplet, the
 effect seen in the absence of the cross subtraction technique.
 The technique works with IWAVE because the two quadrature outputs can be
 used to generate an output shifted through an arbitrary phase shift, and
 because the outputs are at the same amplitude as the input wave onto which
 IWAVE is locked.
\end_layout

\begin_layout Standard
\begin_inset Float figure
wide false
sideways false
status open

\begin_layout Plain Layout
\begin_inset Graphics
	filename figures/figure_09/iwavecross.pdf
	scale 60

\end_inset


\end_layout

\begin_layout Plain Layout
\begin_inset Caption Standard

\begin_layout Plain Layout
A schematic showing the cross subtraction technique for two parallel IWAVE
 filters.
 The feedback loop components are omitted for clarity; each IWAVE filter
 is separately instrumented as shown in Figure 
\begin_inset CommandInset ref
LatexCommand ref
reference "fig:iwavepllschematic"
plural "false"
caps "false"
noprefix "false"

\end_inset

.
\begin_inset CommandInset label
LatexCommand label
name "fig:iwavecross"

\end_inset


\end_layout

\end_inset


\end_layout

\begin_layout Plain Layout

\end_layout

\end_inset


\end_layout

\begin_layout Section
Performance of IWAVE on real world data
\begin_inset CommandInset label
LatexCommand label
name "sec:Performance-of-IWAVE"

\end_inset


\end_layout

\begin_layout Standard
We present an example of the application of IWAVE to a set of harmonic noise
 components of gravitational wave data taken from the LIGO open data centre
 web site 
\begin_inset CommandInset citation
LatexCommand citep
key "RICHABBOTT2021100658"
literal "false"

\end_inset

.
 The data was acquired by the LIGO Hanford interferometer on November 30,
 2016 and consists of 800 seconds of calibrated strain data from the Hanford
 interferometer during an 800 second lock stretch.
 The data was preprocessed with a fourth order Butterworth highpass filter
 at 30Hz, followed by four third order Chebyshev type 2 bandpass filters
 between 5Hz and 300Hz, applied in series.
 Finally, a fine adjustment to the spectrum was made using a single real
 pole at 10Hz.
 The resulting data is dominated by the 20-80Hz band and is approximately
 white in that range.
 Eight harmonic features were identified from a broad power spectrum and
 were tracked using eight parallel IWAVE instances.
 
\end_layout

\begin_layout Standard
The results at four of the identified frequencies are shown in Figure 
\begin_inset CommandInset ref
LatexCommand ref
reference "fig:ligoiwave"
plural "false"
caps "false"
noprefix "false"

\end_inset

.
 For each harmonic, the frequency, amplitude and modified error signal (as
 described in Section 
\begin_inset CommandInset ref
LatexCommand ref
reference "subsec:Response-to-noise"
plural "false"
caps "false"
noprefix "false"

\end_inset

) are displayed.
 Amplitudes are in dimensionless strain units, so 1 represents the 4km length
 of the LIGO detector arms.
 Though the lines are in some cases almost degenerate in frequency, there
 is no evidence of beats between the reconstructed frequencies.
 The error signal is roughly static with approximately unit RMS, though
 the distribution is non-Gaussian because of the modulation of the input
 noise by the sinusoidal IWAVE output.
 A non-statistical transient fluctuation in the modified error signal in
 the 
\begin_inset ERT
status open

\begin_layout Plain Layout

$
\backslash
rm 36.7
\backslash
,Hz$
\end_layout

\end_inset

 line at around 
\begin_inset ERT
status open

\begin_layout Plain Layout

$
\backslash
rm 360
\backslash
,s$
\end_layout

\end_inset

 corresponds to a jump in the IWAVE reconstructed frequency, indicating
 that IWAVE momentarily lost lock when either the frequency of this sinusoid
 shifted rapidly or IWAVE jumped between two almost degenerate harmonics.
 A second loss of lock can be seen in the 
\begin_inset ERT
status open

\begin_layout Plain Layout

$
\backslash
rm 37.3
\backslash
,Hz$
\end_layout

\end_inset

 data at around 
\begin_inset ERT
status open

\begin_layout Plain Layout

$
\backslash
rm 30
\backslash
,s$
\end_layout

\end_inset

 accompanying a sudden drop in the amplitude of the harmonic.
 The eight IWAVE instances all successfully tracked their target harmonics,
 with the reconstructed error signal providing a useful performance indicator.
\end_layout

\begin_layout Standard
\begin_inset Float figure
wide false
sideways false
status open

\begin_layout Plain Layout
\begin_inset Graphics
	filename figures/figure_10/figure11cropped.pdf
	scale 60

\end_inset


\end_layout

\begin_layout Plain Layout
\begin_inset Caption Standard

\begin_layout Plain Layout
\begin_inset CommandInset label
LatexCommand label
name "fig:ligoiwave"

\end_inset

The results of IWAVE frequency tracking on four pseudo-harmonics present
 in data from the LIGO Hanford detector.
\end_layout

\end_inset


\end_layout

\end_inset


\end_layout

\begin_layout Section
Summary and future work
\end_layout

\begin_layout Standard
We have described IWAVE, a novel orthogonal state generator, resonant filter
 and phase locked loop for the dynamic tracking of harmonic waves.
 The method has a single input parameter, its response time.
 The algorithm has a low computational load, so that many harmonics can
 be tracked in real time using a single CPU core.
 The ability to track multiple closely-spaced harmonics means that the method
 lends itself well to applications where there are dense 
\begin_inset ERT
status open

\begin_layout Plain Layout

`forests'
\end_layout

\end_inset

 of harmonics, such as in LIGO violin mode clusters, and communications
 applications.
 IWAVE has been applied to LIGO strain data and used to study the character
 of violin modes in ultra low loss fused silica suspensions.
 There are many possible applications of the IWAVE method.
 It is complementary to existing PLL algorithms that we have described in
 Appendix 
\begin_inset CommandInset ref
LatexCommand ref
reference "sec:other_methods"
plural "false"
caps "false"
noprefix "false"

\end_inset

.
 We have supplied software implementations of IWAVE in C with MATLAB and
 PYTHON wrappers to encourage the community to find other applications and
 uses 
\begin_inset CommandInset citation
LatexCommand citep
key "iwavegit"
literal "false"

\end_inset

.
\end_layout

\begin_layout Standard
The authors can see several directions in which IWAVE could be improved.
 The error signal is susceptible to broadband noise contamination, and a
 narrower band alternative would be of benefit in applications with very
 weak signals, though narrowbanding will reduce the responsiveness of the
 method to frequency changes.
 There are also applications where feedback is not important, for example,
 the use of IWAVE for novel resonators that is promising for resonant detectors
 of weak signals in physics, such as those of dark matter axions 
\begin_inset CommandInset citation
LatexCommand citep
key "Daw:2018qwb"
literal "false"

\end_inset

.
 We look forward to seeing what the community finds to do with our harmonic
 tracking algorithm.
\end_layout

\begin_layout Section
Acknowledgments
\end_layout

\begin_layout Standard
The members of the Sheffield gravitational wave research group wish to acknowled
ge the support of the Science and Technology Facilities Council under grants
 ST/V005693/1.
 ST/V001752/1, ST/V001744/1, ST/V001019/1 and ST/R000336/1.
 One of us, (I.J.H.), was supported by the Hollows Scientific Foundation.
\end_layout

\begin_layout Standard
This research has made use of data, software and/or web tools obtained from
 the Gravitational Wave Open Science Center (https://www.gw-openscience.org/
 ), a service of LIGO Laboratory, the LIGO Scientific Collaboration and
 the Virgo Collaboration.
 LIGO Laboratory and Advanced LIGO are funded by the United States National
 Science Foundation (NSF) as well as the Science and Technology Facilities
 Council (STFC) of the United Kingdom, the Max-Planck-Society (MPS), and
 the State of Niedersachsen, Germany, for support of the construction of
 Advanced LIGO and construction and operation of the GEO600 detector.
 Additional support for Advanced LIGO was provided by the Australian Research
 Council.
 Virgo is funded, through the European Gravitational Observatory (EGO),
 by the French Centre national de la recherche scientifique (CNRS), the
 Italian Istituto Nazionale di Fisica Nucleare (INFN) and the Dutch Nikhef,
 with contributions by institutions from Belgium, Germany, Greece, Hungary,
 Ireland, Japan, Monaco, Poland, Portugal and Spain.
\end_layout

\begin_layout Section
\start_of_appendix
Overview of other PLL methods
\begin_inset CommandInset label
LatexCommand label
name "sec:other_methods"

\end_inset


\end_layout

\begin_layout Subsection
SOGI-PLL
\begin_inset CommandInset label
LatexCommand label
name "subsec:SOGI"

\end_inset


\end_layout

\begin_layout Standard
The now often-used Generalised Integrator-Based PLL, SOGI-PLL, was introduced
 in 2006 
\begin_inset CommandInset citation
LatexCommand citep
key "inproceedings"
literal "false"

\end_inset

.
 SOGI is an orthogonal state generator, producing in-phase and quadrature-phase
 copies of the input wave analogous to the IWAVE 
\begin_inset Formula $D$
\end_inset

 and 
\begin_inset Formula $Q$
\end_inset

 outputs.
 These outputs are mixed with two quadratures from a reference oscillator,
 leading to an error signal in the quadrature phase output that indicates
 frequency differences between the SOGI output and the reference.
 The error signal is fed to a proportional/integral filter.
 The filter output is added to a frequency offset input, 
\begin_inset Formula $\omega_{n}$
\end_inset

, and the result is used to adjust the coefficients of the SOGI filter to
 reflect the frequency change, as well as to control the reference oscillator.
 Essentially, the SOGI algorithm is coupled to a conventional phase locked
 loop with a reference oscillator.
\end_layout

\begin_layout Standard
The SOGI algorithm was developed for the field of power grid monitoring,
 where frequency changes are a small fraction of a nominal constant value,
 commonly 
\begin_inset Formula ${\rm 50\,Hz}$
\end_inset

, 
\begin_inset Formula ${\rm 60\,Hz}$
\end_inset

 or harmonics of these.
 It is not designed for large departures from the frequency set at the 
\begin_inset ERT
status open

\begin_layout Plain Layout

$
\backslash
omega_n$
\end_layout

\end_inset

 input.
 The SOGI orthogonal state generator is designed using two s-plane integration
 stages.
 These s-plane filters are transformed to the digital domain by, for example,
 using a Tustin algorithm.
 The SOGI method does not track the wave amplitude, though this can be done
 in a separate circuit, assuming the frequency of the wave is known, using
 homodyne detection, for example.
 The SOGI orthogonal state generator does not have the same transfer functions
 as the IWAVE one and this is not surprising given the different methods
 by which they are obtained, although the denominators of the two transfer
 functions are identical, as they both represent a resonant response to
 a harmonic drive.
\end_layout

\begin_layout Subsection
EPLL
\begin_inset CommandInset label
LatexCommand label
name "subsec:EPLL"

\end_inset


\end_layout

\begin_layout Standard
The EPLL, although apparently seeming to differ from quadrature signal generatio
n-based PLLs, such as SOGI-PLL, is closely related thereto 
\begin_inset CommandInset citation
LatexCommand citep
key "karimi2012unifying"
literal "false"

\end_inset

.
 A conventional PLL is embedded within a second feedback servo that uses
 the integral of the quadrature phase of the PLL output, multiplied by the
 unintegrated quadrature phase to synthesise a 
\begin_inset Formula $2\omega$
\end_inset

 signal, which can then be subtracted from the input data, compensating
 for the 
\begin_inset Formula $2\omega$
\end_inset

 component of the phase detector output inside the PLL.
 Further, the common amplitudes are also equal to half the amplitude of
 the sinusoid in the input data.
 In the EPLL structure, the input data are normalised to the PLL by this
 amplitude, thereby removing the amplitude dependence of the phase detector
 
\begin_inset CommandInset citation
LatexCommand citep
key "karimi2013linear"
literal "false"

\end_inset

.
 
\end_layout

\begin_layout Standard
Unlike IWAVE, there is a necessity for two servos to be locked at once,
 and several numerical parameters that must be adjusted, including parameters
 necessary to implement the s-plane design digitally.
 EPLL is susceptible to interference from other waves present in the input
 and to DC offsets.
 The latter two issues are addressed by prefiltering the input to the EPLL.
 EPLL has been widely implemented because of its comparative simplicity,
 ability to track wave amplitude and the availability of code implementing
 the method 
\begin_inset CommandInset citation
LatexCommand citep
key "gude2019dynamic"
literal "false"

\end_inset

.
\end_layout

\begin_layout Standard
\begin_inset CommandInset bibtex
LatexCommand bibtex
btprint "btPrintCited"
bibfiles "iwave"
options "apsrev4-2"

\end_inset


\end_layout

\end_body
\end_document
